Skip to main content
Resource Center/Network Service/Network Service Operations/VIP Operations
POSTVIP OperationsSince 0.6SynchronousAuth Required

CreateVip

CreateVip

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • nameStringRequired

      The resource name.

    • descriptionString

      Optional. The detailed description of the resource.

    • l3NetworkUuidStringRequired

      The UUID of the L3 network that uses the VIP service.

    • ipRangeUuidString

      Optional. The IP range UUID.

    • allocatorStrategyString

      Optional. The allocator strategy.

    • requiredIpString

      Optional. The IP address that you specified.

    • resourceUuidString

      Optional. The resource UUID.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryVipInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • l3NetworkUuidStringRequired

      The UUID of the L3 network that uses the VIP service.

    • ipStringRequired

      The IP address of the IPv4 type.

    • stateStringRequired

      The state of the VIP, including Enabled and Enabled.

    • gatewayStringRequired

      The gateway.

    • netmaskStringRequired

      The netmask.

    • prefixLenStringRequired

      The prefix length.

    • serviceProviderStringRequired

      The service provider that provides the VIP service.

    • peerL3NetworkUuidStringRequired

      The UUID of the L3 network that provides the VIP service.

    • useForStringRequired

      The usage, such as port forwarding.

    • systembooleanRequired

      Whether the VIP is created by the system.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • servicesRefsListRequired

      See servicesRefs.

      • uuidStringRequired

        The resource UUID.

      • serviceTypeStringRequired

        The service type.

      • vipUuidStringRequired

        The VIP UUID.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

Endpoint

POST/zstack/v1/vips

/zstack/v1/vips

Operation ID

CreateVip

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/vips' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"name":"<name>","description":"<description>","l3NetworkUuid":"<l3NetworkUuid>","ipRangeUuid":"<ipRangeUuid>","allocatorStrategy":"<allocatorStrategy>","requiredIp":"<requiredIp>","resourceUuid":"<resourceUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "45a2700283f039a39f40100505a68609", "name": "vip1", "ipRangeUuid": "da8d443f5c923c969118721845891d53", "l3NetworkUuid": "e43b5613fd8039ee888cca53dae87341", "ip": "192.168.0.1", "state": "Enabled", "gateway": "127.0.0.1", "netmask": "255.255.0.0", "peerL3NetworkUuids": [ "1f970d11e2be3b0da5ad65cd4d20a549" ], "system": false } }

Change History

This API has no change history records yet.

View all change history